Skip to main content
GET
List sender IDs

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. Format: Authorization: Bearer sk_live_xxxxx

Headers

Xerobi-Version
string
default:2026-01-01
required

API version in YYYY-MM-DD format. Using the latest version ensures access to newest features.

Pattern: ^\d{4}-\d{2}-\d{2}$

Query Parameters

status
enum<string>

Filter by approval status

Available options:
pending,
approved,
rejected,
suspended

Response

List of sender IDs

id
string
required

Unique sender ID identifier

Example:

"snd_001abc"

name
string
required

Sender ID name (alphanumeric, 3-11 characters)

Required string length: 3 - 11
Example:

"HIXBE"

status
enum<string>
required

Approval status

Available options:
pending,
approved,
rejected,
suspended
Example:

"approved"

type
enum<string>
required

Type of sender ID

Available options:
alphanumeric,
numeric,
shortcode
Example:

"alphanumeric"

country
string

Country code (ISO 3166-1 alpha-2) where sender ID is registered

Example:

"BD"

approved_at
string<date-time> | null

Approval timestamp

Example:

"2025-12-01T09:00:00Z"

rejection_reason
string | null

Reason for rejection (if status is rejected)

Example:

null

created_at
string<date-time>

Creation timestamp

Example:

"2025-11-15T10:00:00Z"